Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: php-Version Coppermine  (Read 4929 times)

0 Members and 1 Guest are viewing this topic.

VolkerF

  • Coppermine frequent poster
  • ***
  • Offline Offline
  • Posts: 152
php-Version Coppermine
« on: September 28, 2016, 11:08:38 AM »

Hallo

Bis zu welcher php-Version wird die aktuelle Coppermine Version momentan unterstützt?. Mein Hoster mahnt zur Eile auf einer höhere Version umzusteigen, weil bald die älteren nicht mehr unterstützt werden. Nutze derzeit php 5.3

Danke und Gruß Volker
Logged

Αndré

  • Administrator
  • Coppermine addict
  • ****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15277
Re: php-Version Coppermine
« Reply #1 on: September 28, 2016, 03:07:44 PM »

Solange du kein PHP7 einsetzt, sollte cpg1.5.x problemlos funktionieren.
Logged

VolkerF

  • Coppermine frequent poster
  • ***
  • Offline Offline
  • Posts: 152
Re: php-Version Coppermine
« Reply #2 on: September 28, 2016, 05:12:08 PM »

Hi Αndré

Ok, Danke. Werde gleich mal umstellen.

Gruß Volker
Logged

pictureproject.me.ly

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 38
Re: Re: php-Version Coppermine
« Reply #3 on: March 12, 2017, 08:36:46 PM »

Solange du kein PHP7 einsetzt, sollte cpg1.5.x problemlos funktionieren.

Ist das hier noch immer aktuell?
Ich habe nämlich einen gravierenden Fehler in meiner Galerie:

Quote
Fatal error: Uncaught Error: Call to undefined function mysql_connect() in /home/www/danigrafie/galerie/include/functions.inc.php:183 Stack trace: #0 /home/www/danigrafie/galerie/include/init.inc.php(171): cpg_db_connect() #1 /home/www/danigrafie/galerie/index.php(26): require('/home/www/danig...') #2 {main} thrown in /home/www/danigrafie/galerie/include/functions.inc.php on line 183


In der "functions.inc.php" in Zeile 183 steht folgende Abfrage:

Code: [Select]
$result = @mysql_connect($CONFIG['dbserver'], $CONFIG['dbuser'], $CONFIG['dbpass']);
Mein Webserver läuft mit PHP-Version 7(.1)
Ist das dann der Grund für den Fehler?
Logged

berni

  • Coppermine regular visitor
  • **
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 99
    • Max und seine Untertanen
Re: php-Version Coppermine
« Reply #4 on: March 19, 2017, 07:00:29 PM »

Ja, den gleichen Fehler hatte ich auch. Ich habe dann ein Upgrade gemacht: "<!--Coppermine Photo Gallery 1.6.01 (stable)-->".
Nun läuft es ohne Fehlermeldung.
MfG. Bernd
Logged

pictureproject.me.ly

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 38
Re: php-Version Coppermine
« Reply #5 on: March 19, 2017, 09:20:19 PM »

Wo bekomme ich denn die 1.6 her?
Logged

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 536
Logged

pictureproject.me.ly

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 38
Re: Re: php-Version Coppermine
« Reply #7 on: March 20, 2017, 04:33:42 PM »

https://github.com/coppermine-gallery/cpg1.6.x/releases
Many thanks!
I think I need to wait until it'll become a stable release.
Logged

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 536
Re: php-Version Coppermine
« Reply #8 on: March 20, 2017, 05:33:52 PM »

I think I need to wait until it'll become a stable release.
See changed wording for the current release:
https://github.com/coppermine-gallery/cpg1.6.x/releases
Logged

berni

  • Coppermine regular visitor
  • **
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 99
    • Max und seine Untertanen
Re: php-Version Coppermine
« Reply #9 on: March 21, 2017, 01:16:56 PM »

Da steht doch:
Quote
Diese aktuelle Vorabversion von CPG1.6 ist in der Tat ziemlich stabil. Sie ist nur im Status vor der Freigabe, weil die Dokumentation nicht vollständig aktualisiert wurde.
Es kommt also darauf an, welche Plugins Du benutzt, da gibt es noch einige, die nicht laufen.
MfG. Bernd
Logged

wuestenfloh

  • Coppermine newbie
  • Offline Offline
  • Posts: 6
Re: php-Version Coppermine
« Reply #10 on: March 24, 2017, 09:46:03 AM »

Ich habe meinen Server (all-inkl) für die Domain "duettundatt.de" auf PHP 7.1 umgestellt und "duettundatt.de/coppermine" auf cpg 1.6.01 eingerichtet. Es läuft gut, bis auf das Theme "curver-responsive", das auf dem Smartphone (Android) nicht funktioniert. Das Theme "curver" funktioniert auch auf dem Smarphone, wenn auch als "Augenpulver" - also nicht responsive.

Meine wichtigere Domain "gerdtams.de/coppermine" werde ich erstmal nicht auf PHP 7.1 und cpg 1.6.01 umstellen, weil es mir wegen den noch nicht auf PHP 7 umgestellten Plugins zu Coppermine zu riskant erscheint und auch wegen der fehlenden "responsiveness". "gerdtams.de" unter Wordpress würde ich gerne mit PHP 7.1 laufen lassen, weil es schneller sein soll.

Meine Frage ist: Wann ist mit einer offiziellen - PHP 7 fähigen -  Version von Coppermine zu rechnen?
Logged

pictureproject.me.ly

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 38
Re: php-Version Coppermine
« Reply #11 on: May 01, 2017, 01:30:16 PM »

cpg 1.6 ist doch PHP7-fähig?

Da steht doch:Es kommt also darauf an, welche Plugins Du benutzt, da gibt es noch einige, die nicht laufen.
MfG. Bernd

Wie Bernd schon schrieb, kann es sein, dass die Plugins inkompatibel sind.
Aber die haben ja mit der Kernsoftware von cpg nix zu tun, da Drittanbieter.
Logged
Pages: [1]   Go Up
 

Page created in 0.077 seconds with 20 queries.